> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tra.cy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get state by ID

> Gets a specific state by ID.



## OpenAPI

````yaml en/rest-api/openapi.json get /v1/states/{id}
openapi: 3.0.4
info:
  title: Tracy.Api
  version: '1.0'
servers: []
security: []
tags:
  - name: AccessTokens
  - name: Automations
  - name: Commands
  - name: Dashboards
  - name: Datasets
  - name: Datums
  - name: EmailChangeTokens
  - name: EmailValidationTokens
  - name: Events
  - name: FcmTokens
  - name: FileDownloadTokens
  - name: Files
  - name: Health
  - name: Images
  - name: Metadatums
  - name: Moves
  - name: NotificationMethods
  - name: NotificationTypes
  - name: Options
  - name: Permissions
  - name: PermissionTypes
  - name: Plans
  - name: Properties
  - name: PropertyTypes
  - name: Records
  - name: Representations
  - name: RepresentationTypes
  - name: Roles
  - name: States
  - name: Subscriptions
  - name: Tickets
  - name: Transactions
  - name: Usages
  - name: Users
  - name: Workspaces
paths:
  /v1/states/{id}:
    get:
      tags:
        - States
      summary: Get state by ID
      description: Gets a specific state by ID.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: fields
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/State'
            application/json:
              schema:
                $ref: '#/components/schemas/State'
            text/json:
              schema:
                $ref: '#/components/schemas/State'
components:
  schemas:
    State:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dataset:
          $ref: '#/components/schemas/Dataset'
        name:
          type: string
          nullable: true
        color:
          type: integer
          format: int64
        position:
          type: integer
          format: int32
      additionalProperties: false
    Dataset:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        isDisabled:
          type: boolean
        position:
          type: integer
          format: int32
        path:
          type: string
          nullable: true
        states:
          type: array
          items:
            $ref: '#/components/schemas/State'
          nullable: true
        properties:
          type: array
          items:
            $ref: '#/components/schemas/Property'
          nullable: true
        representations:
          type: array
          items:
            $ref: '#/components/schemas/Representation'
          nullable: true
      additionalProperties: false
    Property:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dataset:
          $ref: '#/components/schemas/Dataset'
        propertyType:
          $ref: '#/components/schemas/PropertyType'
        name:
          type: string
          nullable: true
        isUsedAsTitle:
          type: boolean
        isRequired:
          type: boolean
        parameters:
          type: string
          nullable: true
        position:
          type: integer
          format: int32
        options:
          type: array
          items:
            $ref: '#/components/schemas/Option'
          nullable: true
      additionalProperties: false
    Representation:
      type: object
      properties:
        id:
          type: integer
          format: int32
        dashboard:
          $ref: '#/components/schemas/Dashboard'
        dataset:
          $ref: '#/components/schemas/Dataset'
        representationType:
          $ref: '#/components/schemas/RepresentationType'
        name:
          type: string
          nullable: true
        parameters:
          type: string
          nullable: true
        position:
          type: integer
          format: int32
      additionalProperties: false
    PropertyType:
      type: object
      properties:
        id:
          type: string
          nullable: true
        isAutomatic:
          type: boolean
        isPlural:
          type: boolean
        isSortable:
          type: boolean
        position:
          type: integer
          format: int32
      additionalProperties: false
    Option:
      type: object
      properties:
        id:
          type: integer
          format: int32
        property:
          $ref: '#/components/schemas/Property'
        text:
          type: string
          nullable: true
        color:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    Dashboard:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        isDisabled:
          type: boolean
        position:
          type: integer
          format: int32
        path:
          type: string
          nullable: true
        representations:
          type: array
          items:
            $ref: '#/components/schemas/Representation'
          nullable: true
      additionalProperties: false
    RepresentationType:
      type: object
      properties:
        id:
          type: string
          nullable: true
        isAggregated:
          type: boolean
        position:
          type: integer
          format: int32
      additionalProperties: false

````